<?php bb_get_header(); ?>

<div class="breadcrumb section">
	<h3 class="section-header">
		<a href="<?php bb_option('uri'); ?>"><?php bb_option('name'); ?></a><?php bb_forum_bread_crumb(); ?>
	</h3>
</div>

<?php if($topics || $stickies) : ?>

	<table id="latest">
		<tr>
			<th class="topic"><?php _e('Topic','rag'); ?> &#8212; <?php new_topic(); ?></th>
			<th class="posts"><?php _e('Posts','rag'); ?></th>
			<th class="last-poster"><?php _e('Last Poster','rag'); ?></th>
			<th class="freshness"><?php _e('Freshness','rag'); ?></th>
		</tr>

		<?php if($stickies) : foreach ($stickies as $topic) : ?>

			<tr<?php topic_class(); ?>>
				<td><?php bb_topic_labels(); ?> <big><a href="<?php topic_link(); ?>"><?php topic_title(); ?></a></big></td>
				<td><?php topic_posts(); ?></td>
				<td><?php topic_last_poster(); ?></td>
				<td><a href="<?php echo str_replace("&", '&amp;', get_topic_last_post_link()); ?>"><?php topic_time(); ?></a></td>
			</tr>

		<?php endforeach; endif; ?>

		<?php if($topics) : foreach($topics as $topic) : ?>

			<tr<?php topic_class(); ?>>
				<td><?php bb_topic_labels(); ?> <a href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
				<td><?php topic_posts(); ?></td>
				<td><?php topic_last_poster(); ?></td>
				<td><a href="<?php echo str_replace("&", '&amp;', get_topic_last_post_link()); ?>"><?php topic_time(); ?></a></td>
			</tr>

		<?php endforeach; endif; ?>
	</table>

	<p>
		<a href="<?php forum_rss_link(); ?>" class="rss-link"><?php _e('RSS feed for this forum','rag'); ?></a>
	</p>

	<div class="navigation-links">
		<?php forum_pages(); ?>
	</div>

<?php endif; ?>

<?php if(bb_forums($forum_id)) : ?>

	<h2><?php _e('Subforums','rag'); ?></h2>

	<table id="forumlist">

		<tr>
			<th><?php _e('Subforums','rag'); ?></th>
			<th><?php _e('Topics','rag'); ?></th>
			<th><?php _e('Posts','rag'); ?></th>
		</tr>

		<?php while(bb_forum()) : ?>

			<tr<?php bb_forum_class(); ?>>
				<td><?php bb_forum_pad('<div class="nest">'); ?><a href="<?php forum_link(); ?>"><?php forum_name(); ?></a><small><?php forum_description(); ?></small><?php bb_forum_pad('</div>'); ?></td>
				<td><?php forum_topics(); ?></td>
				<td><?php forum_posts(); ?></td>
			</tr>

		<?php endwhile; ?>
	</table>

<?php endif; ?>

<?php post_form(); ?>

<?php bb_get_footer(); ?>