<?php bb_get_header(); ?>

	<div class="breadcrumb section">
		<h3 class="section-header">
			<a href="<?php bb_option('uri'); ?>"><?php bb_option('name'); ?></a> &raquo; <?php isset($_POST['user_login']) ? _e('Log in Failed','rag') : _e('Log in','rag') ; ?>
		</h3>
	</div>

	<div class="section">

		<form method="post" action="<?php bb_option('uri'); ?>bb-login.php">
		<fieldset>
			<table>
			<?php if($user_exists) : ?>

				<tr valign="top">
					<th scope="row"><?php _e('Username:','rag'); ?></th>
					<td><input name="user_login" type="text" value="<?php echo $user_login; ?>" /></td>
				</tr>
				<tr valign="top" class="error">
					<th scope="row"><?php _e('Password:','rag'); ?></th>
					<td>
						<input name="password" type="password" /><br />
						<?php _e('Incorrect password','rag'); ?>
					</td>
				</tr>

			<?php elseif(isset($_POST['user_login'])) : ?>

				<tr valign="top" class="error">
					<th scope="row"><?php _e('Username:','rag'); ?></th>
					<td>
						<input name="user_login" type="text" value="<?php echo $user_login; ?>" /><br />
						<?php _e('This username does not exist.','rag'); ?> <a href="<?php bb_option('uri'); ?>register.php?user=<?php echo $user_login; ?>"><?php _e('Register it?','rag'); ?></a>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e('Password:','rag'); ?></th>
					<td><input name="password" type="password" /></td>
				</tr>

			<?php else : ?>
				<tr valign="top" class="error">
					<th scope="row"><?php _e('Username:','rag'); ?></th>
					<td><input name="user_login" type="text" /><br />
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e('Password:','rag'); ?></th>
					<td><input name="password" type="password" /></td>
				</tr>
			<?php endif; ?>

				<tr valign="top">
					<th scope="row"><?php _e('Remember me:','rag'); ?></th>
					<td><input name="remember" type="checkbox" id="remember" value="1"<?php echo $remember_checked; ?> /></td>
				</tr>
				<tr>
					<th scope="row">&nbsp;</th>
					<td>
						<input name="re" type="hidden" value="<?php echo $redirect_to; ?>" />
						<input type="submit" value="<?php echo attribute_escape( isset($_POST['user_login']) ? __('Try Again &raquo;','rag'): __('Log in &raquo;','rag')); ?>" />
						<?php wp_referer_field(); ?>
					</td>
				</tr>
			</table>
		</fieldset>
		</form>

	<?php if($user_exists) : ?>

		<form method="post" action="<?php bb_option('uri'); ?>bb-reset-password.php">
		<fieldset>
			<p>
				<?php _e('If you would like to recover the password for this account, you may use the following button to start the recovery process:','rag'); ?>
			</p>

			<table>
				<tr>
					<th></th>
					<td>
						<input name="user_login" type="hidden" value="<?php echo $user_login; ?>" />
						<input type="submit" value="<?php echo attribute_escape(__('Recover Password &raquo;','rag')); ?>" />
					</td>
				</tr>
			</table>
		</fieldset>
		</form>

	<?php endif; ?>

	</div>

<?php bb_get_footer(); ?>