<?php bb_get_header(); ?>

	<div class="breadcrumb section">
		<h3 class="section-header">
			<a href="<?php bb_option('uri'); ?>"><?php bb_option('name'); ?></a> &raquo; <?php _e('Statistics','rag'); ?>
		</h3>
	</div>

	<div class="section">

		<dl>
			<dt><?php _e('Registered Users','rag'); ?></dt>
			<dd><strong><?php total_users(); ?></strong></dd>
			<dt><?php _e('Posts','rag'); ?></dt>
			<dd><strong><?php total_posts(); ?></strong></dd>
		</dl>

		<?php if($popular) : ?>

			<h3><?php _e('Most Popular Topics','rag'); ?></h3>

			<ol>
			<?php foreach ($popular as $topic) : ?>
				<li><?php bb_topic_labels(); ?> <a href="<?php topic_link(); ?>"><?php topic_title(); ?></a> &#8212; <?php topic_posts(); ?> <?php _e('posts','rag'); ?></li>
			<?php endforeach; ?>
			</ol>

		<?php endif; ?>

	</div>

<?php bb_get_footer(); ?>