<?php bb_get_header(); ?>

	<div class="breadcrumb section">
		<h3 class="section-header">
			<a href="<?php bb_option('uri'); ?>"><?php bb_option('name'); ?></a> &raquo; <?php view_name(); ?>
		</h3>
	</div>

	<?php if($topics || $stickies) : ?>

	<table id="latest">

		<tr>
			<th class="topic"><?php _e('Topic','rag'); ?></th>
			<th class="posts"><?php _e('Posts','rag'); ?></th>
			<th class="last-poster"><?php _e('Last Poster','rag'); ?></th>
			<th class="freshness"><?php _e('Freshness','rag'); ?></th>
		</tr>

		<?php if($stickies) : foreach ($stickies as $topic) : ?>

			<tr<?php topic_class(); ?>>
				<td><?php bb_topic_labels(); ?> <big><a href="<?php topic_link(); ?>"><?php topic_title(); ?></a></big></td>
				<td><?php topic_posts(); ?></td>
				<td><?php topic_last_poster(); ?></td>
				<td><a href="<?php echo str_replace("&", '&amp;', get_topic_last_post_link()); ?>"><?php topic_time(); ?></a></td>
			</tr>

		<?php endforeach; endif; ?>

		<?php if($topics) : foreach ($topics as $topic) : ?>

			<tr<?php topic_class(); ?>>
				<td><?php bb_topic_labels(); ?> <a href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
				<td><?php topic_posts(); ?></td>
				<td><?php topic_last_poster(); ?></td>
				<td><a href="<?php echo str_replace("&", '&amp;', get_topic_last_post_link()); ?>"><?php topic_time(); ?></a></td>
			</tr>

		<?php endforeach; endif; ?>

	</table>

	<?php endif; ?>

	<div class="navigation-links section">
		<?php view_pages(); ?>
	</div>

<?php bb_get_footer(); ?>