<?php bb_get_header(); ?>

	<div class="breadcrumb section">
		<h3 class="section-header">
			<a href="<?php bb_option('uri'); ?>"><?php bb_option('name'); ?></a> &raquo; 
			<?php if(!empty($q)) : ?>
			<?php endif; ?>
			<?php _e('Search for','rag'); ?> &#8220;<?php echo wp_specialchars($q); ?>&#8221;
		</h3>
	</div>

	<div class="section">

	<?php if($recent) : ?>

		<h2>
			<?php _e('Recent Posts','rag'); ?>
		</h2>

		<ol class="results">
		<?php foreach($recent as $bb_post) : ?>

			<li>
				<h4>
					<a href="<?php post_link(); ?>"><?php topic_title($bb_post->topic_id); ?></a>
				</h4>
				<p>
					<?php echo bb_show_context($q, $bb_post->post_text); ?>
				</p>
				<p>
					<small><?php _e('Posted','rag'); ?> <?php echo bb_datetime_format_i18n(bb_get_post_time(array('format' => 'timestamp'))); ?></small>
				</p>
			</li>

		<?php endforeach; ?>
		</ol>

	<?php endif; ?>

	<?php if($relevant) : ?>

		<h2>
			<?php _e('Relevant posts','rag'); ?>
		</h2>

		<ol class="results">
		<?php foreach($relevant as $bb_post) : ?>

			<li>
				<h4>
					<a href="<?php post_link(); ?>"><?php topic_title($bb_post->topic_id); ?></a>
				</h4>
				<p>
					<?php echo bb_show_context($q, $bb_post->post_text); ?>
				</p>
				<p>
					<small><?php _e('Posted','rag'); ?> <?php echo bb_datetime_format_i18n(bb_get_post_time(array('format' => 'timestamp'))); ?></small>
				</p>
			</li>

		<?php endforeach; ?>
		</ol>

	<?php endif; ?>

	<?php if($q && !$recent && !$relevant) : ?>

		<p><?php _e('No results found.','rag') ?></p>

	<?php endif; ?>

	</div>

<?php bb_get_footer(); ?>