<?php bb_get_header(); ?>

	<div class="breadcrumb section">
		<h3 class="section-header">
			<a href="<?php bb_option('uri'); ?>"><?php bb_option('name'); ?></a> &raquo; <a href="<?php bb_tag_page_link(); ?>"><?php _e('Tags','rag'); ?></a> &raquo; <?php bb_tag_name(); ?>
		</h3>
	</div>

	<?php do_action('tag_above_table', ''); ?>

	<?php if($topics) : ?>

		<table id="latest">
			<tr>
				<th class="topic"><?php _e('Topic','rag'); ?> &#8212; <?php new_topic(); ?></th>
				<th class="posts"><?php _e('Posts','rag'); ?></th>
				<th class="last-poster"><?php _e('Last Poster','rag'); ?></th>
				<th class="freshness"><?php _e('Freshness','rag'); ?></th>
			</tr>

			<?php foreach($topics as $topic) : ?>
				<tr<?php topic_class(); ?>>
					<td><?php bb_topic_labels(); ?> <a href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
					<td><?php topic_posts(); ?></td>
					<td><?php topic_last_poster(); ?></td>
					<td><a href="<?php echo str_replace("&", '&amp;', get_topic_last_post_link()); ?>"><?php topic_time(); ?></a></td>
				</tr>
			<?php endforeach; ?>

		</table>

		<p>
			<a href="<?php bb_tag_rss_link(); ?>" class="rss-link"><?php _e('<abbr title="Really Simple Syndication">RSS</abbr> link for this tag.','rag'); ?></a>
		</p>

		<div class="navigation-links section">
			<?php tag_pages(); ?>
		</div>

	<?php endif; ?>

	<?php post_form(); ?>

	<?php do_action('tag_below_table', ''); ?>

	<?php manage_tags_forms(); ?>

<?php bb_get_footer(); ?>